/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.doubleclickbidmanager.model;

import com.google.api.client.json.GenericJson;

/**
 * Parameters of a query or report.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the DoubleClick Bid Manager API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Parameters extends GenericJson {

  /**
   * Filters used to match traffic data in your report.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<FilterPair> filters;

  static {
    // hack to force ProGuard to consider FilterPair used, since otherwise it would be stripped out
    // see http://code.google.com/p/google-api-java-client/issues/detail?id=528
    com.google.api.client.util.Data.nullOf(FilterPair.class);
  }

  /**
   * Data is grouped by the filters listed in this field.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<String> groupBys;

  /**
   * Whether to include data from Invite Media.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Boolean includeInviteData;

  /**
   * Metrics to include as columns in your report.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<String> metrics;

  /**
   * Report type.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String type;

  /**
   * Filters used to match traffic data in your report.
   * The value returned may be {@code null}.
   */
  public java.util.List<FilterPair> getFilters() {
    return filters;
  }

  /**
   * Filters used to match traffic data in your report.
   * The value set may be {@code null}.
   */
  public Parameters setFilters(java.util.List<FilterPair> filters) {
    this.filters = filters;
    return this;
  }

  /**
   * Data is grouped by the filters listed in this field.
   * The value returned may be {@code null}.
   */
  public java.util.List<String> getGroupBys() {
    return groupBys;
  }

  /**
   * Data is grouped by the filters listed in this field.
   * The value set may be {@code null}.
   */
  public Parameters setGroupBys(java.util.List<String> groupBys) {
    this.groupBys = groupBys;
    return this;
  }

  /**
   * Whether to include data from Invite Media.
   * The value returned may be {@code null}.
   */
  public Boolean getIncludeInviteData() {
    return includeInviteData;
  }

  /**
   * Whether to include data from Invite Media.
   * The value set may be {@code null}.
   */
  public Parameters setIncludeInviteData(Boolean includeInviteData) {
    this.includeInviteData = includeInviteData;
    return this;
  }

  /**
   * Metrics to include as columns in your report.
   * The value returned may be {@code null}.
   */
  public java.util.List<String> getMetrics() {
    return metrics;
  }

  /**
   * Metrics to include as columns in your report.
   * The value set may be {@code null}.
   */
  public Parameters setMetrics(java.util.List<String> metrics) {
    this.metrics = metrics;
    return this;
  }

  /**
   * Report type.
   * The value returned may be {@code null}.
   */
  public String getType() {
    return type;
  }

  /**
   * Report type.
   * The value set may be {@code null}.
   */
  public Parameters setType(String type) {
    this.type = type;
    return this;
  }

}
